Subject: Re: bug#75775: 30.0.93; [PATCH] Restore the old behavior of `bookmark-write-file'

From: Ship Mints <[email-masked]>
Date: Sat, 25 Jan 2025 07:13:04 -0500

Aha, I spoke to soon about Tramp. Looks like someone put in (non-essential
t) so that takes care of that.

In any case, it seems would be better would be to defer the translation
work rather than do it in the defcustom.

On Sat, Jan 25, 2025 at 6:43 AM Ship Mints <[email-masked]> wrote:

> On Sat, Jan 25, 2025 at 6:01 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Zhengyi Fu  <[email-masked]>
>> > Date: Thu, 23 Jan 2025 13:45:11 +0800
>> >
>> > `pp' now defaults to fill the code to fit in `fill-column', which is
>> > great.  However, this changed the bookmark format and made it less
>> > human-readable and unfriendly to version control.   This small patch
>> > restores the old behavior of `bookmark-write-file'.
>>
>> I'm not sure we should use such kludges just because the new default
>> changes the whitespace.  But if we do make any changes, we should do
>> it ASAP, since the change in pp's behavior was introduced in Emacs 30.
>>
>> Stefan, WDYT?
>>
>
> (I know you meant one of the other 200 Stefans Stevens Stephans Stephanes)
>
> I often hand edit my bookmark files due to one of the packages I help
> maintain that relies on bookmarks.
>
> I prefer easier to harder and I prefer the original format.
>
> -Stephane
>